# This file was generated by Rcpp::compileAttributes
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

.calcMSSDCpp <- function(x) {
    .Call('pedometrics_calcMSSDCpp', PACKAGE = 'pedometrics', x)
}

#' Return the minimum value in each row of a numeric matrix
#' 
#' This function returns the minimum value in each row of a numeric matrix.
#'
#' @param x Numeric matrix with two or more rows and/or columns.
#' @details
#' This function is implemented in C++ to speed-up the computation time for
#' large matrices.
#' @return A numeric vector with the minimum value of each row if the matrix.
#' @author Alessandro Samuel-Rosa \email{alessandrosamuelrosa@@gmail.com}
#' @seealso \code{\link[matrixStats]{rowMins}}
#' @keywords univar
#' @import Rcpp
#' @export
#' @examples
#' x <- matrix(rnorm(20), nrow = 5)
#' rowMinCpp(x)
rowMinCpp <- function(x) {
    .Call('pedometrics_rowMinCpp', PACKAGE = 'pedometrics', x)
}

.spJitterCpp <- function(x, y, xmax, xmin, ymax, ymin, idx) {
    .Call('pedometrics_spJitterCpp', PACKAGE = 'pedometrics', x, y, xmax, xmin, ymax, ymin, idx)
}

.updateMSSDCpp <- function(x1, x2, dm, idx) {
    .Call('pedometrics_updateMSSDCpp', PACKAGE = 'pedometrics', x1, x2, dm, idx)
}

.updatePPLCpp <- function(x, dm, idx) {
    .Call('pedometrics_updatePPLCpp', PACKAGE = 'pedometrics', x, dm, idx)
}

